package org.illeva.remcom.cmdsock;

/**
  * E' l'interfaccia che l'applicazione target deve implementare per eseguire i comandi ricevuti via socket.
  */
public interface SocketListener
{
  /** E' il metodo per l'esecuzione dei comandi GUI, cio quelli che in qualche modo
  riguardano l'aspetto grafico. */
	public void processWinCommand(SocketEvent anEvent);
	/** Esegue i comandi di tipo applicativo. */
	public String processApplicationCommand(SocketEvent anEvent);
} // end interface
